Create a mortgage search with the Mortgage Brain provider Run in API Explorer
Ask AI
Body
-
The applicants for the mortgage search. Must be at least one and no more than two.
-
An optional array of case UUIDs to associate to the mortgage search
-
An optional OAuth2 connection UUID to overwrite the default behaviour (which is to pick the first Mortgage Brain OAuth2 connection)
-
This parameter can be used to indicate whether to proceed with creating the mortgage search or not. If false, a 202 response will be returned without creating the search. This can be used to validate the data before continuing.
POST
/api/v1/addons/mortgagebrain/mortgage-search
curl \
--request POST 'https://api.plannrcrm.com/api/v1/addons/mortgagebrain/mortgage-search' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"applicants":[{"account_uuid":"79f0a243-945d-45cb-ac8c-9bc8bbdb59ca","title":"mr","date_of_birth":"1999-01-01","birth_gender":"male","salutation":"John","retirement_age":65,"employment_status":"employed","annual_salary_amount":3000000}],"case_uuids":["48560501-6f48-4dff-bb7c-c0e95b6b91d5","7c3fcff6-e6b0-4efa-ab60-d0dd9f1df43d","477289e1-7b54-420f-9396-8d022fe494fd"],"oauth_connection_uuid":"3386b44b-c6b7-47a2-924b-3a7bf5a7af39","proceed":true}'
Request examples
{
"applicants": [
{
"account_uuid": "79f0a243-945d-45cb-ac8c-9bc8bbdb59ca",
"title": "mr",
"date_of_birth": "1999-01-01",
"birth_gender": "male",
"salutation": "John",
"retirement_age": 65,
"employment_status": "employed",
"annual_salary_amount": 3000000
}
],
"case_uuids": [
"48560501-6f48-4dff-bb7c-c0e95b6b91d5",
"7c3fcff6-e6b0-4efa-ab60-d0dd9f1df43d",
"477289e1-7b54-420f-9396-8d022fe494fd"
],
"oauth_connection_uuid": "3386b44b-c6b7-47a2-924b-3a7bf5a7af39",
"proceed": true
}
Response examples (200)
{
"uuid": "f33dc73c-10ca-4590-a600-b145711ca333",
"created_at": "2026-06-09T14:10:15+01:00",
"updated_at": "2026-06-09T14:10:15+01:00",
"name": "My Mortgage Search",
"status": "pending",
"provider": "Mortgage Brain",
"provider_reference": "123456789",
"provider_data": [],
"applicants": [
{
"uuid": "4c3ae304-8ca6-4895-970d-83288e9ded43",
"created_at": "2026-06-09T14:10:15+01:00",
"updated_at": "2026-06-09T14:10:15+01:00",
"account": "App\\Http\\Resources\\MinimalAccountResource"
}
],
"cases": [
{
"uuid": "34c3730d-4301-4744-ac5b-ac28bc31cd8a",
"created_at": "2026-06-09T14:10:15+01:00",
"updated_at": "2026-06-09T14:10:15+01:00",
"name": "finance",
"slug": "finance",
"status": "App\\Http\\Resources\\CasesStatusResource",
"type": "App\\Http\\Resources\\CasesTypeResource",
"review_at": "2026-06-09T14:10:15+01:00",
"assigned_to_uuids": [
"0090d62e-56b2-4e19-942b-5cb233863165"
],
"group_uuids": [
"115a0259-1468-4116-87c9-709e9c6768e1"
],
"completed_at": "2026-06-09T14:10:15+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": "App\\Http\\Resources\\AccountResource",
"task_board_uuid": "def5a5df-7f94-403c-813a-a5afb87caa37",
"plans": "App\\Http\\Resources\\Plans\\PlanResource",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource"
}
],
"products": [
{
"uuid": "99de8c08-24a0-4564-8cda-918cbc280b7f",
"created_at": "2026-06-09T14:10:15+01:00",
"updated_at": "2026-06-09T14:10:15+01:00",
"provider_reference": "example-reference",
"provider_scenario_name": "Single Applicant, Small Deposit",
"provider_scenario_data": [],
"lender_name": "HSBC",
"product_title": "5% Fixed Rate - 5 year",
"files": "App\\Http\\Resources\\FileResource"
}
],
"files": [
{
"uuid": "624bbdad-8c53-4761-8a2c-ce8557095752",
"created_at": "2026-06-09T14:10:15+01:00",
"original_created_at": "2026-06-09T14:10:15+01:00",
"updated_at": "2026-06-09T14:10:15+01:00",
"uploaded_at": "2026-06-09T14:10:15+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-06-09T14:10:15+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/4101b774-8f3c-4340-8803-aed0922713c9/download",
"folder_name": "folder 2",
"folder": "App\\Http\\Resources\\FolderResource",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "c8cd1635-8004-4919-8300-37efd8ae588d"
},
"firm": "App\\Http\\Resources\\FirmResource",
"account": "App\\Http\\Resources\\MinimalAccountResource",
"tags": "App\\Http\\Resources\\TagResource"
}
]
}